/*
////////////////////////////////////////////////////////////////////////////////
//
// Copyright 2012, Reinhold Schaaf,
// Argelander-Institut fuer Astronomie
// Universitaet Bonn
// rschaaf@astro.uni-bonn.de
//
// For further info about copyright and license see included license.txt file
//
////////////////////////////////////////////////////////////////////////////////
*/

#ifndef ILIME_H
#define ILIME_H

#include "lime.h"

/* Structs for interface */
/* input parameters */
typedef struct {
	double radius,minScale,tcmb;
	int sinkPoints,pIntensity,blend;
	char *outputfile;
	char *gridfile;
	char *pregrid;
	char *moldatfile;
	char *dust;
	int sampling,lte_only,antialias,polarization;
} LimeInputPars;

/* Image information */
typedef struct {
	int nchan,trans;
	double velres;
	double imgres;
	int pxls;
	int unit;
	double freq,bandwidth;
	char *filename;
	double source_vel;
	double theta,phi;
	double distance;
} LimeImage;


void
run(inputPars *par, image images[], char **moldatfiles);

ProgStatus
getStatus();

void setSilent(int);
int getSilent();

#endif /* ILIME_H */
