# exploreModellib.py
#
# Simple script that demonstrates the basic functions to explore
# the content of the Model Library
#
# The script lists all implemented Models, their Paramaters and Results as 
# well as all implemented Functions and their Function Parameters 

import modellib

print
print "Implemented Models, their Parameters and Results:"
print

for modelID in modellib.getModelIDs():
    print "Model:"
    print "  modelID:        ", modelID
    print "  Name:           ", modellib.getModelName(modelID)
    print "  Description:    ", modellib.getModelDesc(modelID)
    print "  Bib. reference: ", modellib.getModelBibref(modelID)

    print "  Parameters:"
    for paramID in modellib.getParamIDs(modelID):
        print "    paramID:     ", paramID
        print "    Name:        ", modellib.getParamName(modelID, paramID)
        print "    Description: ", modellib.getParamDesc(modelID, paramID)
        print "    Type:        ", modellib.getParamType(modelID, paramID)
        if modellib.getParamType(modelID, paramID) == "double":
            print "    Def. Value:  ",
	    print modellib.getParamDefValDouble(modelID, paramID)
            print "    Unit:        ",
	    print modellib.getParamUnit(modelID, paramID)
        if modellib.getParamType(modelID, paramID) == "int":
            print "    Def. Value:  ",
	    print modellib.getParamDefValInt(modelID, paramID)
        if modellib.getParamType(modelID, paramID) == "string":
            print "    Def. Value:  ",
	    print modellib.getParamDefValString(modelID, paramID)
        if modellib.getParamType(modelID, paramID) == "enum":
            print "    Values:      ",
	    print modellib.getParamEnumValues(modelID, paramID)
            print "    Def. Value:  ",
	    print modellib.getParamEnumDefIndex(modelID, paramID)
            print "    Unit:        ",
	    print modellib.getParamUnit(modelID, paramID)
	    
        print "    ----"
            
    print "  Results:"    
    for resultID in modellib.getModelResultIDs(modelID):
        print "    resultID:    ", resultID
        print "    Name:        ", modellib.getResultName(resultID)
        print "    Description: ", modellib.getResultDesc(resultID)
        print "    Unit:        ", modellib.getResultUnit(resultID)
        print "    Type:        ", modellib.getResultType(resultID)
        print "    ----"

    print "----"

print
print "Implemented Functions and their Function Parameters:"
print

for functionID in modellib.getFunctionIDs():
    print "Function:"
    print "  functionID:  ", functionID
    print "  Name:        ", modellib.getFunctionName(functionID)
    print "  Description: ", modellib.getFunctionDesc(functionID)

    print "  Parameters:"
    for functionParamID in modellib.getFunctionParamIDs(functionID):
        print "    functionParamID: ",
        print functionParamID
        print "    Name:            ",
        print modellib.getFunctionParamName(functionID, functionParamID)
        print "    Description:     ",
        print modellib.getFunctionParamDesc(functionID, functionParamID)
        print "    Type:            ",
        print modellib.getFunctionParamType(functionID, functionParamID)
        if modellib.getFunctionParamType(functionID, functionParamID) == "double":
            print "    Def. Value:  ",
	    print modellib.getFunctionParamDefValDouble(functionID, functionParamID)
        if modellib.getFunctionParamType(functionID, functionParamID) == "int":
            print "    Def. Value:  ",
	    print modellib.getFunctionParamDefValInt(functionID, functionParamID)
        if modellib.getFunctionParamType(functionID, functionParamID) == "string":
            print "    Def. Value:  ",
	    print modellib.getFunctionParamDefValString(functionID, functionParamID)
        if modellib.getFunctionParamType(functionID, functionParamID) == "enum":
            print "    Values:      ",
	    print modellib.getFunctionParamEnumValues(functionID, functionParamID)
            print "    Def. Value:  ",
	    print modellib.getFunctionParamEnumDefIndex(functionID, functionParamID)
	    
        print "    ----"
            
    print "----"

