################################################################################
##
## Copyright 2012, Attila Juhasz,
## Leiden Observatory
## Leiden Univeristy
## juhasz@strw.leidenuniv.nl 
##
## and the ARTIST team.
##
## For further info about copyright and license see included license.txt file.
##
################################################################################


class natconst():
    "Natural constants"
    
    def __init__(self):

        self.GG = 6.672e-8   
        self.mp = 1.6726e-24 
        self.me = 9.1095e-28 
        self.kk = 1.3807e-16 
        self.hh = 6.6262e-27 
        self.ee = 4.8032e-10 
        self.cc = 2.9979e10  
        self.st = 6.6524e-25 
        self.ss = 5.6703e-5  
        self.aa = 7.5657e-15 
        self.muh2 = 2.3000e0   
        self.ev   = 1.6022e-12  
        self.kev  = 1.6022e-9   
        self.micr = 1e-4        
        self.km   = 1e5         
        self.angs = 1e-8        

        self.ls   = 3.8525e33   
        self.rs   = 6.96e10     
        self.ms   = 1.99e33     
        self.ts   = 5.780e3     
        self.au   = 1.496e13    
        self.pc   = 3.08572e18  
        self.mea  = 5.9736e27   
        self.rea  = 6.375e8     
        self.mmo  = 7.347e25    
        self.rmo  = 1.738e8     
        self.dmo  = 3.844e10    
        self.mju  = 1.899e30    
        self.rju  = 7.1492e9    
        self.dju  = 7.78412e13  

        self.year = 3.1536e7    
        self.hour = 3.6000e3    
        self.day  = 8.6400e4    

        self.pi   = 3.1415926535897932385e0

